PipeWire 0.1.9

Data Fields
pw_node_proxy_events Struct Reference

Node events. More...

## Data Fields
uint32_t | version
void(* | info )(void *object, struct pw_node_info *info)
| Notify node info. More...
void(* | param )(void *object, uint32_t id, uint32_t index, uint32_t next, const struct spa_pod *param)
| Notify a node param. More...

## Detailed Description

Node events.

## Field Documentation

## ◆ info

void(* pw_node_proxy_events::info) (void *object, struct pw_node_info *info)

Notify node info.

Parameters

  info | info about the node

## ◆ param

void(* pw_node_proxy_events::param) (void *object, uint32_t id, uint32_t index, uint32_t next, const struct spa_pod *param)

Notify a node param.

Event emited as a result of the enum_params method.

Parameters

  id | the param id
  index | the param index
  next | the param index of the next param
  param | the parameter

## ◆ version

uint32_t pw_node_proxy_events::version

The documentation for this struct was generated from the following file:

- interfaces.h